> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# AddMerchantAccountToGroup



## OpenAPI

````yaml /api-reference/admin-api/paysight_admin_api.yaml post /api/admin/merchantaccounts/{id}/group
openapi: 3.0.0
info:
  title: Paysight Admin API
  version: 1.0.0
servers:
  - description: Test Server
    url: https://test.paysight.io
security:
  - ApiKeyAuth: []
paths:
  /api/admin/merchantaccounts/{id}/group:
    post:
      tags:
        - MerchantAccounts
      summary: AddMerchantAccountToGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                groupId:
                  type: integer
                merchantAccountId:
                  type: integer
                weight:
                  type: integer
                immediateAutoWeighting:
                  type: boolean
                parentCompanyId:
                  type: integer
              required:
                - groupId
                - merchantAccountId
                - weight
                - immediateAutoWeighting
                - parentCompanyId
      responses:
        '200':
          description: Merchant account added to group
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  group:
                    type: object
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Paysight API key. You can find it in your Paysight account at
        https://app.paysight.io/settings/account

````